### Class

# Phosh DBusNotification

since: 0

#### Description [src]

    final class Phosh.DBusNotification : Phosh.Notification
    {
      /* No available fields */
    }

A notifiction submitted via the DBus notification interface

The `PhoshDBusNotification` is a notification submitted via the org.freedesktop.Notification interface.

Available since: 0

#### Ancestors

- PhoshNotification
- GObject

#### Constructors

###### phosh_dbus_notification_new

No description available.

since: 0

#### Instance methods

##### Methods inherited from PhoshNotification (32)

Please see PhoshNotification for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from PhoshNotification (14)

###### Phosh.Notification:actions

No description available.

since: 0

###### Phosh.Notification:app-icon

No description available.

since: 0

###### Phosh.Notification:app-info

When non-`NULL` this overrides the values of `PhoshNotification:app-name` and `PhoshNotification:app-icon` with those from the `GAppInfo`.

since: 0

###### Phosh.Notification:app-name

No description available.

since: 0

###### Phosh.Notification:body

No description available.

since: 0

###### Phosh.Notification:category

No description available.

since: 0

###### Phosh.Notification:id

No description available.

since: 0

###### Phosh.Notification:image

No description available.

since: 0

###### Phosh.Notification:profile

The feedback profile to use for the event triggered by this notification. Valid values from Feedbackd’s Feedback Theme Specification as well as the value `none` meaning: don’t trigger any feedback for this event. If `NULL` (the default) the decision is left to feedbackd.

since: 0

###### Phosh.Notification:resident

No description available.

since: 0

###### Phosh.Notification:summary

No description available.

since: 0

###### Phosh.Notification:timestamp

No description available.

since: 0

###### Phosh.Notification:transient

No description available.

since: 0

###### Phosh.Notification:urgency

No description available.

since: 0

#### Signals

##### Signals inherited from PhoshNotification (3)

###### PhoshNotification::actioned

No description available.

since: 0

###### PhoshNotification::closed

No description available.

since: 0

###### PhoshNotification::expired

No description available.

since: 0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshDBusNotificationClass {
      PhoshNotificationClass parent_class;

    }

No description available.

###### Class members

`parent_class: PhoshNotificationClass`
  No description available.